# PetscRandomRegisterDestroy

Frees the list of Random types that were registered by PetscRandomRegister()/PetscRandomRegisterDynamic().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PETSC_DLLEXPORT PetscRandomRegisterDestroy(void)

Not Collective

### Keywords

PetscRandom, register, destroy

### See Also

PetscRandomRegister(), PetscRandomRegisterAll(), PetscRandomRegisterDynamic()

Level:advanced
Location: src/sys/random/interface/randreg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages